Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.clsproperties
Class RDFPropertiesTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          edu.stanford.smi.protegex.owl.ui.clsproperties.RDFPropertiesTableModel

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, RDFPropertiesTableColumns, Serializable, TableModel

    public class RDFPropertiesTableModel

extends AbstractTableModel
implements edu.stanford.smi.protege.util.Disposable, RDFPropertiesTableColumns

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Fields inherited from interface edu.stanford.smi.protegex.owl.ui.clsproperties.RDFPropertiesTableColumns
`COL_MULTIPLICITY, COL_PROPERTY, COL_RANGE, COLCOUNT`

Constructor Summary
`RDFPropertiesTableModel()`

Method Summary
`void` | `dispose()`
`Class` | `getColumnClass(int columnIndex)`
`int` | `getColumnCount()`
`String` | `getColumnName(int column)`
`RDFProperty` | `getRDFProperty(int row)`
`int` | `getRow(RDFProperty property)`
`int` | `getRowCount()`
`Object` | `getValueAt(int rowIndex, int columnIndex)`
`boolean` | `isDirectProperty(int row)`
`void` | `setClass(RDFSNamedClass cls)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDFPropertiesTableModel

    public RDFPropertiesTableModel()

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `TableModel`

### getColumnClass

    public Class getColumnClass(int columnIndex)

  Specified by:
    `getColumnClass` in interface `TableModel`
  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### getColumnName

    public String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getRDFProperty

    public RDFProperty getRDFProperty(int row)

### getRow

    public int getRow(RDFProperty property)

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `TableModel`

### getValueAt

    public Object getValueAt(int rowIndex,
                             int columnIndex)

  Specified by:
    `getValueAt` in interface `TableModel`

### isDirectProperty

    public boolean isDirectProperty(int row)

### setClass

    public void setClass(RDFSNamedClass cls)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.